<?php
require_once("../autogestion/db_functions.php");
require_once("domicilio_obj.php");

class Persona {
	public $matricula;
	public $persona;
	public $apellido;
	public $nombre;
	public $tipo_documento;
	public $nro_documento;
	public $fec_nacimiento;
	public $id_lugar_nacimiento;
	public $id_nacionalidad;
	public $sexo;
	public $est_civil;
	
	public $domicilios = array();
	
	public $db;
	function __construct() {
		$this->db = new db;
	}	
	public function load_id_persona($id_persona)
	{
		$sql = "SELECT * FROM tmp_person where persona = '$id_persona'";
		$row = $this->db->result_array($sql);
		$this->set_value($row);
	}		

	public function load_id_matricula($id_matricula)
	{
		$sql = "SELECT * FROM tmp_person where matricula = '$id_matricula'";
		$row = $this->db->result_array($sql);
		$this->set_value($row);
	}		

	private function set_value($row){
		if (!is_null($row['matricula'])){
			$this->matricula = $row['matricula'];
			$this->persona = $row['persona'];
			$this->apellido = trim($row['apellido']);
			$this->nombre = trim($row['nombre']);
			$this->tipo_documento = $row['tipo_documento'];
			$this->nro_documento = $row['nro_documento'];
			$this->fec_nacimiento = $row['fec_nacimiento'];
			$this->id_lugar_nacimiento = $row['lugar_nacimiento'];
			$this->id_nacionalidad = $row['nacionalidad'];
			$this->sexo = $row['sexo'];
			$this->est_civil = $row['est_civil'];

			$this->load_domicilios($row['matricula']);
			
		}
	}
	private function load_domicilios($id_matricula){
		$sql = "SELECT * FROM tmp_domici where matricula = '$id_matricula'";
		$rs = $this->db->result_query($sql);
		while(	$row = mysqli_fetch_array($rs)){
			$dom = new Domicilio;
			$dom->set_value($row);
			array_push($this->domicilios, $dom);
		}
		
	}
}
class Matriculado extends Persona{

	public $id_situacion;
	public $id_colegio;
	public $id_lugar_pago;
	public $oli;
	public $libro;
	public $folio;
	public $id_universidad;
	public $nro_jubilado;
	public $fecha_matricula;
	public $fecha_ca;
	public $fecha_egreso;
	public $fecha_retroactiva;

	function __construct() {
		parent::__construct();
	}	
	
	public function load_id_persona($id_persona)
	{
		parent::load_id_persona($id_persona);
		$sql = "SELECT * FROM tmp_matriculados where persona = '$id_persona'";
		$row = $this->db->result_array($sql);
		$this->set_value($row);
	}		

	public function load_id_matricula($id_matricula)
	{
		parent::load_id_matricula($id_matricula);
		$sql = "SELECT * FROM tmp_matriculados where matricula = '$id_matricula'";
		$row = $this->db->result_array($sql);
		$this->set_value($row);
	}		
	public function load_id_matricula_sin_dig($id_matricula)
	{
		$sql = "SELECT * FROM tmp_matriculados where TRUNCATE(matricula/10,0) = '$id_matricula'";
		$row = $this->db->result_array($sql);
		parent::load_id_matricula($row['matricula']);
		$this->set_value($row);
	}		
	
	private function set_value($row){

	if (!is_null($row['situacion'])){

		$this->id_situacion = $row['situacion'];
		$this->id_colegio = $row['colegio'];
		$this->id_lugar_pago = $row['lugar_pago'];
		$this->oli = $row['oli'];
		$this->libro = $row['libro'];
		$this->folio = $row['folio'];
		$this->id_universidad = $row['universidad'];
		$this->nro_jubilado = $row['nro_jubilado'];
		$this->fecha_matricula = $row['fecha_matricula'];
		$this->fecha_ca = $row['fecha_ca'];
		$this->fecha_egreso = $row['fecha_egreso'];
		$this->fecha_retroactiva = $row['fecha_retroactiva'];
			
	}		
		
		
	}
	
}

?>