<?php
require_once("../autogestion/db_conection.php");
require_once("senmail_obj.php");

class congresos_inscriptos_class{
var $id;
var $congreso;
var $tipo;
var $matricula;
var $apenom;
var $tipo_dni;
var $dni;
var $cuit;
var $email;
var $telefono;
var $sexo;
var $profesion;
var $razonsocial;
var $cuitfact;
var $emailfact;
var $inscripto;
var $observaciones;
var $tar_ayn_titular = null;
var $tar_numero = null;
var $tar_vencimiento = null;
var $tar_documento = null;
var $referencecode = null;

private $mysql;

	function __construct (){
			$this->mysql = new db;
	}
	function cargar(  $set_congreso,$set_tipo,$set_matricula, $set_apenom, $set_tipo_dni, $set_dni,$set_cuit, $set_email, 
					$set_telefono, $set_sexo, $set_profesion, $set_razonsocial, $set_cuitfact, 
					$set_emailfact, $set_observaciones, $set_referencecode)
	{
		$this->congreso = $set_congreso;
		$this->tipo = $set_tipo;
		$this->matricula = $set_matricula;
		$this->apenom = $set_apenom;
		$this->tipo_dni = $set_tipo_dni;
		$this->dni = $set_dni;
		$this->cuit = $set_cuit;
		$this->email = $set_email;
		$this->telefono = $set_telefono;
		$this->sexo = $set_sexo;
		$this->profesion = $set_profesion;
		$this->razonsocial = $set_razonsocial;
		$this->cuitfact = $set_cuitfact;
		$this->emailfact = $set_emailfact;
		$this->observaciones = $set_observaciones;
		$this->referencecode = $set_referencecode;
	}
	
	function cargar_id( $set_id, $set_congreso,$set_tipo,$set_matricula, $set_apenom, $set_tipo_dni, $set_dni,$set_cuit, $set_email, 
					$set_telefono, $set_sexo, $set_profesion, $set_razonsocial, $set_cuitfact, 
					$set_emailfact, $set_observaciones , $set_referencecode)
	{

		$this->id = $set_id;
		$this->cargar(  $set_congreso,$set_tipo,$set_matricula, $set_apenom, $set_tipo_dni, $set_dni,$set_cuit, $set_email, 
					$set_telefono, $set_sexo, $set_profesion, $set_razonsocial, $set_cuitfact, 
					$set_emailfact, $set_observaciones, $set_referencecode);
		
	}
	function cargar_tarjeta(  $set_congreso,$set_tipo,$set_matricula, $set_apenom, $set_tipo_dni, $set_dni,$set_cuit, $set_email, 
					$set_telefono, $set_sexo, $set_profesion, $set_razonsocial, $set_cuitfact, 
					$set_emailfact, $set_observaciones, $set_tar_ayn_titular, $set_tar_numero, $set_tar_vencimiento, $set_tar_documento, $set_referencecode)
	{
		$this->tar_ayn_titular = $set_tar_ayn_titular;
		$this->tar_numero = $set_tar_numero;
		$this->tar_vencimiento = $set_tar_vencimiento;
		$this->tar_documento = $set_tar_documento;
		$this->cargar(  $set_congreso,$set_tipo,$set_matricula, $set_apenom, $set_tipo_dni, $set_dni,$set_cuit, $set_email, 
					$set_telefono, $set_sexo, $set_profesion, $set_razonsocial, $set_cuitfact, 
					$set_emailfact, $set_observaciones, $set_referencecode);
	}
	
	function cargar_fila ($fila_db ){
        $this->cargar_id($fila_db['id'],$fila_db['congreso_id'],$fila_db['origen'],$fila_db['matricula'],$fila_db['ape_nom'],$fila_db['tipo_dni'],
						$fila_db['dni'], $fila_db['cuit'],$fila_db['email'], $fila_db['telefono'] ,$fila_db['sexo'],$fila_db['profesion'],
						$fila_db['razonsocial'],$fila_db['cuitfact'], $fila_db['emailfact'],$fila_db['observaciones'] );
		$this->inscripto = $fila_db['inscripto'];		
		
	} 
	
	
	function db_grabar()
	{
		$this->tar_ayn_titular = !empty($this->tar_ayn_titular)? $this->tar_ayn_titular : "NULL";
		$this->tar_numero = !empty($this->tar_numero)? $this->tar_numero : "NULL";
		$this->tar_vencimiento = !empty($this->tar_vencimiento)?intval($this->tar_vencimiento) : "NULL";
		$this->tar_documento = !empty($this->tar_documento)? $this->tar_documento : "NULL";
		$this->matricula =  (is_numeric($this->matricula)? $this->matricula : 0);
		//$this->tipo =  (($this->matricula == 0)? 2 : $this->tipo);
		$sql = "Insert into congresos_inscriptos (congreso_id, origen, matricula, ape_nom, tipo_dni, dni, cuit, email, telefono,sexo, profesion, razonsocial, cuitfact, emailfact, observaciones, tar_ayn_titular, tar_numero, tar_vencimiento, tar_documento, referencecode)
										values ('$this->congreso  ','  $this->tipo   ','  $this->matricula   ','  $this->apenom  ', '  $this->tipo_dni  ', '  $this->dni  ','  $this->cuit  ','  $this->email 
												','  $this->telefono   ','  $this->sexo   ','  $this->profesion  ','  $this->razonsocial  ','  $this->cuitfact  ','  $this->emailfact  ',
												 '$this->observaciones' ,   '$this->tar_ayn_titular'   ,  '$this->tar_numero'  ,  $this->tar_vencimiento  ,  '$this->tar_documento', '$this->referencecode'  )";
		//echo $sql;
		$resultado = $this->mysql->result_query($sql);
		if ( $resultado == 1 )
		{
		    return 'Se guardó correctamente';
        }
    }
	

	function lista_inscripto($cod_congreso){
		$sql = 'Select * From congresos_inscriptos Where congreso_id = ' . $cod_congreso;
		return $this->mysql->result_query($sql);

	}
	
	function mail_confirmacion($congreso_inscripto){
		$mail = new mail_class;
		$sql = 'Select * From congresos_inscriptos Where id = ' . $congreso_inscripto;
		$result = $this->mysql->result_query($sql);
		$this->cargar_fila($result->fetch_assoc());
		$mail->asunto = 'Confirmación de Inscripción Congreso Medicina Legal y Forense';
		$mail->cuentas_destino = $this->email;

		$mail->cuerpo_email = '<p><h1><img src="https://cmpc.org.ar/Logo_Con_Nombre_Mediano_1_2v.PNG" height="150" width="275">
II Congreso de medicina Legal y Forence
<img src="https://cmpc.org.ar/logo_negro.png" height="150" width="275"></h1></p>
<table width="400" align="center"><tr><td>
<p>Estimado/a </p>
<p>Hemos recibido correctamente su inscripción y pago al II Congreso de Medicina Legal y Forence 
a realizarse los dias 24,25 y 26 de abril en la sede del Consejo Médico de la Provincia de Córdoba</p>
<p><a href="https://goo.gl/maps/TDFgTJDv9sz"><img src="https://cmpc.org.ar/ubicacion_cmpc.png" height="150" width="275"></a></p>
<p>Gracias por su participación.</p>
<p>Programa <a href="https://cimelcif.com.ar/">Aqui</a></p>
</td></tr></table>';
		$mail->enviar();
		$sql = 'Update congresos_inscriptos Set inscripto = 1 Where id = ' . $congreso_inscripto;
		$this->mysql->result_query($sql);
	}

	function mail_confirmacion_cimelcif($congreso_inscripto){
		$mail = new mail_class;
		$sql = 'Select * From congresos_inscriptos Where id = ' . $congreso_inscripto;
		$result = $this->mysql->result_query($sql);
		$this->cargar_fila($result->fetch_assoc());

		$mail->asunto = 'Confirmación de Inscripción Congreso Medicina Legal y Forense';
		$mail->cuentas_destino = 'cimelcif@gmail.com';//$this->email;

		$mail->cuerpo_email = '<p><h1><img src="https://cmpc.org.ar/Logo_Con_Nombre_Mediano_1_2v.PNG" height="150" width="275">
II Congreso de medicina Legal y Forence
<img src="https://cmpc.org.ar/logo_negro.png" height="150" width="275"></h1></p>
<table border=1>
	<tr>
		<td>Apellido Nombre</td>
          <td>' . $this->apenom. '</td>
	</tr>
	<tr>
		<td>DNI</td>
		  <td>' .  $this->tipo_dni . ' - '  . $this->dni . '</td>
	</tr>
	<tr>
		<td>CUIT</td>
		  <td>' . $this->cuit . '</td>
	</tr>
	<tr>
	    <td>Tipo Matricula</td>
          <td>' . ($this->tipo == 1? 'Matriculado' : 'No Matriculado') . '</td>
	</tr>
	<tr>
	    <td>Integante del MPF|PJPC</td>
          <td>' . $this->observaciones . '</td>
	</tr>
	<tr>
	    <td>Matricula</td>
          <td>' . $this->matricula . '</td>
	</tr>
	<tr>
		<td>Email</td>
		  <td>' . $this->email . '</td>
	</tr>
	<tr>
		<td>Telefono</td>
		  <td>' . $this->telefono . '</td>
	</tr>
	<tr>
		<td>Sexo</td>
		  <td>' . ($this->sexo =='M' ? 'Masculino':'Femenino' ) . '</td>
	</tr>
	<tr>
		<td>Profesion</td>
		  <td>' . $this->profesion . '</td>
	</tr>
	<tr>
		<td>Empresa</td>
		  <td>' . $this->razonsocial . '</td>
	</tr>
	<tr>
		<td>CUIT Facturacion</td>
		  <td>' . $this->cuitfact . '</td>
	</tr>
	<tr>
		<td>Email Empresa</td>
		  <td>' . $this->emailfact . '</td>
	</tr>
<table>';
		$mail->enviar();
		$sql = 'Update congresos_inscriptos Set inscripto = 1 Where id = ' . $congreso_inscripto;
		$result = $this->mysql->result_query($sql);
	}

}
?>